Skip to main content
Try it live: Find Text in Table with AI → API Tester — send a real request from your browser.

POST /v1/pdf/find/table

This function finds tables in documents using an AI-powered table detection engine. This endpoint locates tables in an input PDF document and returns JSON with:
  • The array of tables objects.
  • X, Y, Width, and Height coordinates for every table found.
  • Rect param for every table that you can re-use with pdf/convert/to/json, pdf/convert/to/csv, pdf/convert/to/csv, and other endpoints to extract a selected table only.
  • PageIndex page index for a page with a table. The very first page is 0 .
  • Columns array with the set of X coordinates for every column inside the table that was found.
To extract the table into CSV, JSON, or XML please use pdf/convert/to/csv, pdf/convert/to/json2, and pdf/convert/to/xml endpoints with rect parameter value from rect output param for this table accordingly. To extract the table into CSV, JSON, or XML please use pdf/convert/to/csv, pdf/convert/to/json2, and pdf/convert/to/xml endpoints with rect parameter value from rect output param for this table accordingly.

Attributes

Attributes are case-sensitive and should be inside JSON for POST request. for example: { "url": "https://example.com/file1.pdf" }

Find only bordered tables

You can limit search to bordered tables only by enabling the legacy table search mode with the following profiles config:

Query parameters

No query parameters accepted.

Responses

Example Payload

To see the request size limits, please refer to the Request Size Limits.

Example Response

To see the main response codes, please refer to the Response Codes page.
Inconsistent URL Encoding in cURL Output: When using cURL to make API requests, the output JSON may show URL characters encoded as Unicode escape sequences. For example, the ampersand character (&) may appear as \u0026 in the cURL output. This is normal JSON encoding behavior and does not affect the validity of the URL. The URL will function correctly when used, as JSON parsers automatically decode these escape sequences. If you’re parsing the response programmatically, your JSON parser will handle this conversion automatically.

Code Samples